GeographicLib 2.3

Classes | Namespaces | Functions
Utility.hpp File Reference

Header for GeographicLib::Utility class. More...

`#include <GeographicLib/Constants.hpp>`
`#include <iomanip>`
`#include <vector>`
`#include <sstream>`
`#include <cctype>`
`#include <ctime>`
`#include <cstring>`

Go to the source code of this file.

## Classes
class | GeographicLib::Utility
| Some utility routines for GeographicLib. More...

## Namespaces
namespace | GeographicLib
| Namespace for GeographicLib.

## Functions
template<>
std::string | GeographicLib::Utility::val< std::string > (const std::string &s)
template<>
std::string | GeographicLib::Utility::str< Math::real > (Math::real x, int p)

## Detailed Description

Header for GeographicLib::Utility class.

Copyright (c) Charles Karney (2011-2022) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file Utility.hpp.